GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get sentiment overview GETList prompt sentiment GETGet sentiment breakdown GET
Sentiment

Get sentiment overview GET

Brand sentiment over the range, per day and per prompt type.

Get sentiment breakdown GET

Sentiment of the brand and its competitors per topic or per engine.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Sentiment

List prompt sentiment

GET
/brands/{brandId}/sentiment/prompts

Prompts with their average brand sentiment.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
scores?string

Comma-separated brand sentiment buckets: low (<30), mixed (30 to 49), fair (50 to 74), high (75 to 100)

Lengthlength <= 100
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
sort?string
Default"sentiment"
Value in"sentiment""responses""text"
order?string
Default"asc"
Value in"asc""desc"
page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 200
Default25

Response Body

One page of prompts with sentiment, mentions and topics

application/json
  1. response
  1. response
  2. …
items*array<>
total*integer
page*integer
pageSize*integer
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/prompts'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "text": "string",      "type": "string",      "intent": "string",      "countryCode": "string",      "sentiment": 0,      "responses": 0,      "mentions": [        {          "key": "string",          "mentions": 0        }      ],      "topics": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "color": "string"        }      ]    }  ],  "total": 0,  "page": 0,  "pageSize": 0,  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Get sentiment overview GET

Brand sentiment over the range, per day and per prompt type.

Get sentiment breakdown GET

Sentiment of the brand and its competitors per topic or per engine.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/prompts'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "text": "string",
      "type": "string",
      "intent": "string",
      "countryCode": "string",
      "sentiment": 0,
      "responses": 0,
      "mentions": [
        {
          "key": "string",
          "mentions": 0
        }
      ],
      "topics": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "color": "string"
        }
      ]
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}